package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup{

    private ArrayList<String> container;

    public SimpleStringGroup() {
        container = new ArrayList<>();
    }

    public Integer count() {
        return container.size();
    }

    public void insert(String string) {
        container.add(string);
    }

    public Boolean has(String valueToInsert) {
        return container.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {
        return container.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        container.remove(valueToInsert);
    }

    public void clear() {
        container.clear();
    }
}
