package rocks.zipcode.io.quiz4.generics;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author leon on 18/12/2018.
 */
public class Group<T> {

    private ArrayList<T> container;

    public Group() {
        container = new ArrayList<>();
    }

    public Integer count() {
        return container.size();
    }

    public void insert(T value) {
        container.add(value);
    }

    public Boolean has(T value) {
        return container.contains(value);
    }

    public T fetch(int indexOfValue) {
        return container.get(indexOfValue);
    }

    public void delete(T value) {
        container.remove(value);
    }

    public void clear() {
        container.clear();
    }

    public Iterator<T> iterator() {
        return container.iterator();
    }
}
