package rocks.zipcode.io.quiz4.generics;

import java.util.TreeSet;

/**
 * @author leon on 18/12/2018.
 */
public class SortedGroup<T> extends Group<T> {

    private TreeSet<T> container = new TreeSet<>();

    @Override
    public void insert(T value) {
        container.add(value);
    }

    @Override
    public void delete(T value) {
        container.remove(value);
    }

    public Integer indexOf(T firstValue) {
        return container.headSet(firstValue).size();
    }
}
