package rocks.zipcode.io.quiz4.objectorientation;

/**
 * @author leon on 11/12/2018.
 */
public class StringAssembler {

    private Character delimeter;

    private StringBuilder container;

    public StringAssembler(Character delimeter) {
        this.delimeter = delimeter;
        container = new StringBuilder();
    }

    public StringAssembler append(String str) {
        container.append(str);
        container.append(delimeter);

        return this;
    }

    public String assemble() {
        return container.deleteCharAt(container.length() - 1).toString();
    }
}
