package rocks.zipcode.io.quiz4.collections;

import java.util.AbstractCollection;
import java.util.Collections;
import java.util.Iterator;
import java.util.TreeSet;

/**
 * @author leon on 11/12/2018.
 */
public class ComparableTreeSet<T> {

    public TreeSet<T> container = new TreeSet<>();

    public ComparableTreeSet(T... arr) {
        Collections.addAll(container, arr);
    }

    public ComparableTreeSet() {
    }

    public Integer compareTo(ComparableTreeSet<T> o) {
        Iterator<T> self = container.iterator();
        Iterator<T> foreign = o.container.iterator();
        int result = 0;

        while (self.hasNext() && foreign.hasNext()) {

            if (self.next().equals(foreign.next())) {
                result = 0;
            } else if (!self.next().equals(foreign.next())) {
                result = -1;
                break;
            } else {
                result = 1;
                break;
            }
        }
        return result;
    }

//    @Override
//    public static String toString(){
//        return
//    }

}
